Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.image
Class PNGTranscoder

    java.lang.Object
      org.apache.batik.transcoder.TranscoderSupport
          org.apache.batik.transcoder.AbstractTranscoder
              org.apache.batik.transcoder.XMLAbstractTranscoder
                  org.apache.batik.transcoder.SVGAbstractTranscoder
                      org.apache.batik.transcoder.image.ImageTranscoder
                          org.apache.batik.transcoder.image.PNGTranscoder

All Implemented Interfaces:
  Transcoder

    public class PNGTranscoder

extends ImageTranscoder

This class is an `ImageTranscoder` that produces a PNG image.

Nested Class Summary
`static interface` | `PNGTranscoder.WriteAdapter` This interface is used by `PNGTranscoder` to write PNG images through different codecs.

Nested classes/interfaces inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`SVGAbstractTranscoder.SVGAbstractTranscoderUserAgent`

Field Summary
`static float[]` | `DEFAULT_CHROMA` The default Primary Chromaticities for sRGB imagery.
`static TranscodingHints.Key` | `KEY_GAMMA` The gamma correction key.
`static TranscodingHints.Key` | `KEY_INDEXED` The color indexed image key to specify number of colors used in palette.

Fields inherited from class org.apache.batik.transcoder.image.ImageTranscoder
`KEY_BACKGROUND_COLOR, KEY_FORCE_TRANSPARENT_WHITE`

Fields inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`builder, ctx, curAOI, curTxf, DEFAULT_ALLOWED_SCRIPT_TYPES, DEFAULT_DEFAULT_FONT_FAMILY, height, KEY_ALLOWED_SCRIPT_TYPES, KEY_ALTERNATE_STYLESHEET, KEY_AOI, KEY_CONSTRAIN_SCRIPT_ORIGIN, KEY_DEFAULT_FONT_FAMILY, KEY_EXECUTE_ONLOAD, KEY_HEIGHT, KEY_LANGUAGE, KEY_MAX_HEIGHT, KEY_MAX_WIDTH, KEY_MEDIA, KEY_PIXEL_TO_MM, KEY_PIXEL_UNIT_TO_MILLIMETER, KEY_SNAPSHOT_TIME, KEY_USER_STYLESHEET_URI, KEY_WIDTH, root, userAgent, width`

Fields inherited from class org.apache.batik.transcoder.XMLAbstractTranscoder
`KEY_DOCUMENT_ELEMENT, KEY_DOCUMENT_ELEMENT_NAMESPACE_URI, KEY_DOM_IMPLEMENTATION, KEY_XML_PARSER_CLASSNAME, KEY_XML_PARSER_VALIDATING`

Fields inherited from class org.apache.batik.transcoder.TranscoderSupport
`handler, hints`

Constructor Summary
`PNGTranscoder()` Constructs a new transcoder that produces png images.

Method Summary
`BufferedImage` | `createImage(int width, int height)` Creates a new ARGB image with the specified dimension.
`UserAgent` | `getUserAgent()`
`void` | `writeImage(BufferedImage img, TranscoderOutput output)` Writes the specified image to the specified output.

Methods inherited from class org.apache.batik.transcoder.image.ImageTranscoder
`createRenderer, forceTransparentWhite, transcode`

Methods inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`createBridgeContext, createBridgeContext, createBridgeContext, createDocumentFactory, createUserAgent, getCanvasGraphicsNode, setImageSize, transcode`

Methods inherited from class org.apache.batik.transcoder.TranscoderSupport
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.transcoder.Transcoder
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Field Detail

### KEY_GAMMA

    public static final TranscodingHints.Key KEY_GAMMA

  The gamma correction key.

  Key: | KEY_GAMMA
  Value: | Float
  Default: | PNGEncodeParam.INTENT_PERCEPTUAL
  Required: | No
  Description: | Controls the gamma correction of the png image. A value of zero for gamma disables the generation of a gamma chunk. No value causes an sRGB chunk to be generated.

### DEFAULT_CHROMA

    public static final float[] DEFAULT_CHROMA

  The default Primary Chromaticities for sRGB imagery.

### KEY_INDEXED

    public static final TranscodingHints.Key KEY_INDEXED

  The color indexed image key to specify number of colors used in palette.

  Key: | KEY_INDEXED
  Value: | Integer
  Default: | none/true color image
  Required: | No
  Description: | Turns on the reduction of the image to index colors by specifying color bit depth, 1,2,4,8. The resultant PNG will be an indexed PNG with color bit depth specified.

Constructor Detail

### PNGTranscoder

    public PNGTranscoder()

  Constructs a new transcoder that produces png images.

Method Detail

### getUserAgent

    public UserAgent getUserAgent()

  Returns:
    the transcoder's user agent

### createImage

    public BufferedImage createImage(int width,
                                     int height)

  Creates a new ARGB image with the specified dimension.

  Specified by:
    `createImage` in class `ImageTranscoder`
  Parameters:
    `width` - the image width in pixels
    `height` - the image height in pixels

### writeImage

    public void writeImage(BufferedImage img,
                           TranscoderOutput output)
                    throws TranscoderException

  Writes the specified image to the specified output.

  Specified by:
    `writeImage` in class `ImageTranscoder`
  Parameters:
    `img` - the image to write
    `output` - the output where to store the image
  Throws:
    `TranscoderException` - if an error occured while storing the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.